[R] RWinEdt, R.profile and version 1.9.0

About this list Date view Thread view Subject view Author view Attachment view

From: Patrick Giraudoux (patrick.giraudoux@univ-fcomte.fr)
Date: Sat 01 May 2004 - 21:39:37 EST


Message-id: <000701c42f71$09ec7d80$f645fb51@PC728329681112>

Hi,

I have just upgraded from the 1.8.1 to the 1.9.0 version of R, and have some trouble to run RWinEdt from the .Rprofile file (in the
user folder). The script is:

library(MASS)
library(lattice)
cat("Load editor?(y/n default = y): ")
nf <- as.character(readLines(n = 1))
if ((nf=="y")|(nf=="Y")|(nf=="")) {library(RWinEdt)}
rm(nf)

When run at start, this prompts:

Loading required package: stats
Load editor?(y/n default = y): y
Loading required package: SWinRegistry
Error in eval(expr, envir, enclos) : couldn't find function "winMenuAdd"

and the WinEdt is not started.

However, if I run

> library(RWinEdt)

from the gui.exe interface, everything goes well.

How can I manage with this "Error in eval(expr, envir, enclos) : couldn't find function "winMenuAdd" generated by a call to
library(RWinEdt) in the .Rprofile script?

Patrick Giraudoux

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://www.stat.math.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html


About this list Date view Thread view Subject view Author view Attachment view

This archive was generated by hypermail 2.1.3 : Mon 31 May 2004 - 23:05:07 EST